# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(JSON/Any.pm) perl(JSON/MaybeXS.pm) perl(JSON/Schema.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/URI.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Test/Deep.pm) perl(Test/Deep/JSON.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(YAML/Tiny.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name Conductrics-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Perl Conductrics Management API for universal optimization and reporting platform
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FERZ/Commercial_Software_Interfaces/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class give access to Conductrics Management API to:

 - define
 - create 
 - delete

an agent.

At start, I've written this class to automate tests of Conductrics::Agent, 
the user has not to learn how to create agent in Conductrics console before 
to run tests of Conductrics::Agent.

With this class you can automate the agent definition, 
use your data to create them in programmatic way, 
and I'm sure that it's better and powerfull.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes README.md
%perl_vendor_privlib/C*

%changelog
* Thu Mar 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

